# WorkflowOptions

class `propertyestimator.workflow.``WorkflowOptions`(convergence_mode=<ConvergenceMode.RelativeUncertainty: 'RelativeUncertainty'>, relative_uncertainty_fraction=1.0, absolute_uncertainty=None, protocol_replacements=None)

  A set of convenience options used when creating estimation workflows.

  `__init__`(convergence_mode=<ConvergenceMode.RelativeUncertainty: 'RelativeUncertainty'>, relative_uncertainty_fraction=1.0, absolute_uncertainty=None, protocol_replacements=None)

    Constructs a new WorkflowOptions object.

    Parameters

      - convergence_mode (WorkflowOptions.ConvergenceMode) – The mode which governs how workflows should decide when they have reached convergence.

      - relative_uncertainty_fraction (float , optional) –

        If the convergence mode is set to RelativeUncertainty, then workflows will by default run simulations until the estimated uncertainty is less than

        relative_uncertainty_fraction * property_to_estimate.uncertainty

      - absolute_uncertainty (propertyestimator.unit.Quantity, optional) – If the convergence mode is set to AbsoluteUncertainty, then workflows will by default run simulations until the estimated uncertainty is less than the absolute_uncertainty

      - protocol_replacements (dict of str and str, optional) – A dictionary with keys of the types of protocols which should be replaced with those protocols named by the values.

  Methods

  `__init__`([convergence_mode, …]) | Constructs a new WorkflowOptions object.

  class `ConvergenceMode`

    The available options for deciding when a workflow has converged. For now, these options include running until the computed uncertainty of a property is within a relative fraction of the measured uncertainty (ConvergenceMode.RelativeUncertainty) or is less than some absolute value (ConvergenceMode.AbsoluteUncertainty).